[arch-commits] Commit in viewglob/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:26:09 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:26:09
  Author: eric
Revision: 35977

upgpkg: viewglob 2.0.4-2
    Added license, FHS man pages, Fixed typos in description

Modified:
  viewglob/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 06:11:15 UTC (rev 35976)
+++ PKGBUILD	2009-04-19 06:26:09 UTC (rev 35977)
@@ -4,17 +4,18 @@
 
 pkgname=viewglob
 pkgver=2.0.4
-pkgrel=1
-pkgdesc="viewglob is a utility designed to complement the Unix shell in a grapical enviroment"
+pkgrel=2
+pkgdesc="A utility designed to complement the Unix shell in a graphical environment"
 arch=(i686 x86_64)
 url="http://viewglob.sourceforge.net/index.html"
+license=('GPL')
 depends=('gtk2' 'bash' 'libsm')
 source=(http://downloads.sourceforge.net/sourceforge/viewglob/viewglob-$pkgver.tar.gz)
 md5sums=('7956a2e922a716bd0da30488e4ffb486')
 
 build() {
-    cd $startdir/src/$pkgname-$pkgver
-    ./configure --prefix=/usr
+    cd $srcdir/$pkgname-$pkgver
+    ./configure --prefix=/usr --mandir=/usr/share/man || return 1
     make || return 1
-    make prefix=$startdir/pkg/usr install
+    make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list